Summary:	GNOME Chess - a 2D/3D chess interface
Summary(pl.UTF-8):	GNOME Chess - dwu i trójwymiarowy interfejs do szachów
Name:		gnome-chess
Version:	3.12.3
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-chess/3.12/%{name}-%{version}.tar.xz
# Source0-md5:	63b80f2210c8d4b202ddfb72bb4d95d7
URL:		https://wiki.gnome.org/Apps/Chess
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	appdata-tools
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-common
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	intltool >= 0.50.0
BuildRequires:	librsvg-devel >= 2.32.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.24.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.26.0
Requires:	gtk+3 >= 3.10.0
Requires:	hicolor-icon-theme
Requires:	librsvg >= 2.32.0
Suggests:	crafty
Suggests:	gnuchess
Provides:	gnome-games-glchess = 1:%{version}-%{release}
Obsoletes:	glchess
Obsoletes:	gnome-games-glchess < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Chess is a 2D/3D chess game interfacing via the Chess Engine
Communication Protocol (CECP) by Tim Mann. This means it can currently
use engines such as GNUChess, Sjeng, Faile, Amy, Crafty and Phalanx.

%description -l pl.UTF-8
GNOME Chess to dwu i trójwymiarowa gra w szachy komunikująca się za
pomocą protokołu CECP (Chess Engine Communication Protocol) Tima
Manna. Oznacza to, że aktualnie może używać silników takich jak
GNUChess, Sjeng, Faile, Amy, Crafty i Phalanx.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/gnome-chess
%{_datadir}/appdata/gnome-chess.appdata.xml
%{_datadir}/gnome-chess
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-chess.gschema.xml
%dir %{_sysconfdir}/gnome-chess
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gnome-chess/engines.conf
%{_desktopdir}/gnome-chess.desktop
%{_iconsdir}/hicolor/*/apps/gnome-chess.png
%{_mandir}/man6/gnome-chess.6*
%changelog
* Sun Jun 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-chess.git;a=log;h=master

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 6fa4185
- updated to 3.12.3

* Mon Jun 23 2014 Jakub Bogusz <qboosh@pld-linux.org> c9b3d2f
- updated to 3.12.2

* Sun Apr 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> b7a3cea
- Update to 3.12.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b4c3a47
- dropped pre-cvs changelog

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 9a869db
- s/enviroment/environment/

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 1cccc79
- updated to 0.4.0 (switched to GNOME 2.x)
- removed outdated patches, updated desktop patch

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 8271a83
- new one for 0.4.0

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> fa5ab1f
- outdated

* Sun Aug 26 2007 Jakub Bogusz <qboosh@pld-linux.org> e9a2d6c
- unified gnome source URL
- clarified License

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3f71b6e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 24b1130
- converted to UTF-8

* Sat Jan 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 80110f0
- kill Icon: field (support for these is obsolete says jbj)

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> cc7b80d
- mass commit: cosmetics (removed trailing white spaces)

* Fri Jun 13 2003 ankry <ankry@pld-linux.org> cd5d593
- md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> eebeb69
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Jan 18 2003 juandon <witekfl@pld-linux.org> 07a9fb4
- removed two lines with define

* Wed Jan 15 2003 Jakub Bogusz <qboosh@pld-linux.org> 05483df
- updated Source0 URL

* Mon Nov 11 2002 ankry <ankry@pld-linux.org> 605ef36
- desktop konverted to UTF8 and updated translations basing on desktop from
  KDE; rel. 8

* Mon Nov 11 2002 ankry <ankry@pld-linux.org> 0cf330b
- 49ab4e53fbc4587e89be18580e7e8330  gnome-chess-desktop.patch

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> 23a28d6
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

